{% extends 'lib/site.j2' %}

{% block state_map %}
    {{ map_state ('navbar_active_index', '1-2') }}
    {{ map_state ('types', ["todo", "canceled", "done"]) }}
    {{ map_data_attrs ('articles', "ul .article", 2) }}
    {{ super () }}
{% endblock %}

{% block content %}
    {% include 'include/header.j2' %}
    <div class="container">

        <h1>Page: {{ "page_title"|vue }}</h1>
        <sub-component></sub-component>

        <ul>
            <li class="article" data-id="1">title 1</li>
            <li class="article" data-id="2">title 2</li>
        </ul>

        <div class="accordion" id="accordionExample">
            <div class="accordion-item">
                <h2 class="accordion-header">
                <button class="accordion-button" type="button" data-bs-toggle="collapse" data-bs-target="#collapseOne" aria-expanded="true" aria-controls="collapseOne">
                    Accordion Item #1
                </button>
                </h2>
                <div id="collapseOne" class="accordion-collapse collapse show" data-bs-parent="#accordionExample">
                <div class="accordion-body">
                    <strong>This is the first item's accordion body.</strong> It is shown by default, until the collapse plugin adds the appropriate classes that we use to style each element. These classes control the overall appearance, as well as the showing and hiding via CSS transitions. You can modify any of this with custom CSS or overriding our default variables. It's also worth noting that just about any HTML can go within the <code>.accordion-body</code>, though the transition does limit overflow.
                </div>
                </div>
            </div>
            <div class="accordion-item">
                <h2 class="accordion-header">
                <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse" data-bs-target="#collapseTwo" aria-expanded="false" aria-controls="collapseTwo">
                    Accordion Item #2
                </button>
                </h2>
                <div id="collapseTwo" class="accordion-collapse collapse" data-bs-parent="#accordionExample">
                <div class="accordion-body">
                    <strong>This is the second item's accordion body.</strong> It is hidden by default, until the collapse plugin adds the appropriate classes that we use to style each element. These classes control the overall appearance, as well as the showing and hiding via CSS transitions. You can modify any of this with custom CSS or overriding our default variables. It's also worth noting that just about any HTML can go within the <code>.accordion-body</code>, though the transition does limit overflow.
                </div>
                </div>
            </div>
            <div class="accordion-item">
                <h2 class="accordion-header">
                <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse" data-bs-target="#collapseThree" aria-expanded="false" aria-controls="collapseThree">
                    Accordion Item #3
                </button>
                </h2>
                <div id="collapseThree" class="accordion-collapse collapse" data-bs-parent="#accordionExample">
                <div class="accordion-body">
                    <strong>This is the third item's accordion body.</strong> It is hidden by default, until the collapse plugin adds the appropriate classes that we use to style each element. These classes control the overall appearance, as well as the showing and hiding via CSS transitions. You can modify any of this with custom CSS or overriding our default variables. It's also worth noting that just about any HTML can go within the <code>.accordion-body</code>, though the transition does limit overflow.
                </div>
                </div>
            </div>
        </div>
    </div>
{% endblock content %}

<script type="module">
  // Import the functions you need from the SDKs you need
  import { initializeApp } from "https://www.gstatic.com/firebasejs/10.0.0/firebase-app.js";
  // TODO: Add SDKs for Firebase products that you want to use
  // https://firebase.google.com/docs/web/setup#available-libraries

  // Your web app's Firebase configuration
  const firebaseConfig = {
    apiKey: "AIzaSyBMX8wyopi8PRx-0GecxqSyHLo8oQDFnjU",
    authDomain: "atila-vue.firebaseapp.com",
    projectId: "atila-vue",
    storageBucket: "atila-vue.appspot.com",
    messagingSenderId: "289791278372",
    appId: "1:289791278372:web:3c56d95d8e673421ad87b1"
  };

  // Initialize Firebase
  const app = initializeApp(firebaseConfig);
</script>


<script>
{% block vue_data%}
page_title: "Multi Page App"
{% endblock %}
</script>

{% block vue_components %}
    {{ add_component ('routes/spa/components/subComponent.vue') }}
{% endblock %}
